#pragma once
#include "afxcmn.h"


// CDlgDevList 对话框

class CDlgDevList : public CDialogEx
{
	DECLARE_DYNAMIC(CDlgDevList)

public:
	CDlgDevList(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgDevList();

// 对话框数据
	enum { IDD = IDD_DLG_DEVLIST };
public:
	int* m_pCurSel;
	int m_nDevSum;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	virtual INT_PTR DoModal(int nDev);
	virtual BOOL OnInitDialog();
	CListCtrl m_listDev;
	afx_msg void OnNMDblclkListDev(NMHDR *pNMHDR, LRESULT *pResult);
};
